[rspec-users] Rails 3, Rspec 2, Autotest

David Chelimsky dchelimsky at gmail.com
Sun Jun 6 13:42:08 EDT 2010


On Jun 6, 2010, at 1:28 PM, Rob Lingle <lists at ruby-forum.com> wrote:

> I found that I could get rid of my original error:
>
> loading autotest/rails_rspec2
> Autotest style autotest/rails_rspec2 doesn't seem to exist. Aborting.
>
> By installing rspec-rails on my system:
>
> sudo gem install rspec-rails -v=2.0.0.beta.8

Try beta.10. The backtrace below shows a mix of 8 and 10.

HTH

>
> Now when I run autotest in my app- or in the example app from the  
> gist-
> I get:
>
> rodeo:example rob$ autotest
> loading autotest/rails_rspec2
> /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
> -rrubygems /Library/Ruby/Gems/1.8/gems/rspec-core-2.0.0.beta.8/bin/ 
> rspec
> /Users/rob/example/spec/views/widgets/new.html.erb_spec.rb
> /Users/rob/example/spec/controllers/widgets_controller_spec.rb
> /Users/rob/example/spec/views/widgets/show.html.erb_spec.rb
> /Users/rob/example/spec/views/widgets/index.html.erb_spec.rb
> /Users/rob/example/spec/views/widgets/edit.html.erb_spec.rb
> /Users/rob/example/spec/helpers/widgets_helper_spec.rb
> /Users/rob/example/spec/models/widget_spec.rb
> /Users/rob/.bundle/ruby/1.8/gems/rspec-rails-2.0.0.beta.10/lib/rspec/ 
> rails/matchers.rb:22:
> uninitialized constant RSpec::Matchers (NameError)
>  from
> /Users/rob/.bundle/ruby/1.8/gems/rspec-rails-2.0.0.beta.10/lib/rspec/ 
> rails.rb:7
>  from /Users/rob/example/spec/spec_helper.rb:5
>  from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in
> `gem_original_require'
>  from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in  
> `require'
>  from /Users/rob/example/spec/views/widgets/new.html.erb_spec.rb:1
>  from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in
> `gem_original_require'
>  from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in  
> `require'
>  from
> /Library/Ruby/Gems/1.8/gems/rspec-core-2.0.0.beta.8/lib/rspec/core/ 
> configuration.rb:233:in
> `require_files_to_run'
>  from
> /Library/Ruby/Gems/1.8/gems/rspec-core-2.0.0.beta.8/lib/rspec/core/ 
> configuration.rb:233:in
> `map'
>  from
> /Library/Ruby/Gems/1.8/gems/rspec-core-2.0.0.beta.8/lib/rspec/core/ 
> configuration.rb:233:in
> `require_files_to_run'
>  from
> /Library/Ruby/Gems/1.8/gems/rspec-core-2.0.0.beta.8/lib/rspec/core/ 
> runner.rb:37:in
> `configure'
>  from
> /Library/Ruby/Gems/1.8/gems/rspec-core-2.0.0.beta.8/lib/rspec/core/ 
> runner.rb:24:in
> `run'
>  from
> /Library/Ruby/Gems/1.8/gems/rspec-core-2.0.0.beta.8/lib/rspec/core/ 
> runner.rb:12:in
> `autorun'
>  from /Library/Ruby/Gems/1.8/gems/rspec-core-2.0.0.beta.8/bin/rspec:2
> -- 
> Posted via http://www.ruby-forum.com/.
> _______________________________________________
> rspec-users mailing list
> rspec-users at rubyforge.org
> http://rubyforge.org/mailman/listinfo/rspec-users


More information about the rspec-users mailing list